> ## Documentation Index
> Fetch the complete documentation index at: https://api.livechatai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Q&A data-source to chatbot

> **DEPRECATED:** This endpoint will be deprecated on August 1st, 2025. Please use the v1 API endpoints instead. Add Q&A data-source to chatbot



## OpenAPI

````yaml post /api/aibot/data-source/qa
openapi: 3.0.1
info:
  title: LiveChatAi API Swagger
  description: >-
    Welcome to the developer hub for LiveChatAi. You'll find comprehensive
    guides and documentation to help you start working with LiveChatAi as
    quickly as possible. **NOTICE: All endpoints in this version are deprecated
    as of August 1st, 2025. Please migrate to v1 API endpoints.**
  version: '1.0'
servers:
  - url: https://app.livechatai.com/
security:
  - bearerAuth: []
paths:
  /api/aibot/data-source/qa:
    post:
      tags:
        - Data Source
      summary: Add Q&A data-source to chatbot
      description: >-
        **DEPRECATED:** This endpoint will be deprecated on August 1st, 2025.
        Please use the v1 API endpoints instead. Add Q&A data-source to chatbot
      requestBody:
        required: true
        description: Q&A data-source details
        content:
          application/json:
            schema:
              type: object
              required:
                - question
                - answer
                - chatbotId
              properties:
                question:
                  type: string
                  example: What is the capital of France?
                  description: Question for the Q&A data-source
                answer:
                  type: string
                  example: The capital of France is Paris.
                  description: Answer for the Q&A data-source
                chatbotId:
                  type: string
                  example: c****************1cx4
                  description: Unique identifier of the chatbot
                isGeneratedByAI:
                  type: boolean
                  example: false
                  description: Flag indicating if the answer is generated by AI
      responses:
        '200':
          description: Q&A data-source added successfully
        '401':
          description: Unauthorized access
        '406':
          description: Character limit exceeded
        '500':
          description: Internal server error occurred
      deprecated: true
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````